View Issue Details

IDProjectCategoryView StatusLast Update
0004086Slicer4Module Transformspublic2018-03-02 11:02
ReporterpinterAssigned Tolassoan 
Status closedResolutionfixed 
Product VersionSlicer 4.5.0-1 
Target VersionFixed in VersionSlicer 4.7.0 
Summary0004086: Rotation slider stays the same when changing current transform
  1. Create new linear transform
  2. Rotate it using the slider (X degrees)
  3. Create another linear transform
    Rotation slider shows X, while the selected transform is identity. This may mislead users, making them think the transform is rotated. I only knew that it was not when I checked the matrix (which many users cannot interpret).
    Suggestion: even if rotation is local, reset it to zeroes when current transform node is changed
TagsNo tags attached.




2017-06-23 01:14

developer   ~0014915

Fixed in r26132.

Issue History

Date Modified Username Field Change
2015-11-16 10:29 pinter New Issue
2015-11-16 10:29 pinter Status new => assigned
2015-11-16 10:29 pinter Assigned To => lassoan
2017-06-23 01:14 lassoan Status assigned => resolved
2017-06-23 01:14 lassoan Resolution open => fixed
2017-06-23 01:14 lassoan Fixed in Version => Slicer 4.7.0
2017-06-23 01:14 lassoan Note Added: 0014915
2018-03-02 11:02 jcfr Status resolved => closed